JspValueExpression (Apache Tomcat 9.0.37 API Documentation)

org.apache.jasper.el

## Class JspValueExpression

- java.lang.Object
- - javax.el.Expression
  - - javax.el.ValueExpression
    - - org.apache.jasper.el.JspValueExpression

- All Implemented Interfaces:
    Externalizable, Serializable

      public final class JspValueExpression
      extends ValueExpression
      implements Externalizable

  Wrapper for providing context to ValueExpressions
  Author:
    Jacob Hookom
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspValueExpression()`
    `JspValueExpression(String mark, ValueExpression target)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Class<?>` | `getExpectedType()`
    `String` | `getExpressionString()`
    `Class<?>` | `getType(ELContext context)`
    `Object` | `getValue(ELContext context)`
    `int` | `hashCode()`
    `boolean` | `isLiteralText()`
    `boolean` | `isReadOnly(ELContext context)`
    `void` | `readExternal(ObjectInput in)`
    `void` | `setValue(ELContext context, Object value)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class javax.el.ValueExpression

      `getValueReference`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspValueExpression

          public JspValueExpression()

    - #### JspValueExpression

          public JspValueExpression(String mark,
                                    ValueExpression target)

  - ### Method Detail

    - #### getExpectedType

          public Class<?> getExpectedType()

      Specified by:
        `getExpectedType` in class `ValueExpression`

    - #### getType

          public Class<?> getType(ELContext context)
                           throws NullPointerException,
                                  PropertyNotFoundException,
                                  ELException

      Specified by:
        `getType` in class `ValueExpression`
      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        The type of the result of this value expression
      Throws:
        `NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `ELException` - Wraps any exception throw whilst resolving a property or variable

    - #### isReadOnly

          public boolean isReadOnly(ELContext context)
                             throws NullPointerException,
                                    PropertyNotFoundException,
                                    ELException

      Specified by:
        `isReadOnly` in class `ValueExpression`
      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        `true` if this expression is read only otherwise `false`
      Throws:
        `NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `ELException` - Wraps any exception throw whilst resolving a property or variable

    - #### setValue

          public void setValue(ELContext context,
                               Object value)
                        throws NullPointerException,
                               PropertyNotFoundException,
                               PropertyNotWritableException,
                               ELException

      Specified by:
        `setValue` in class `ValueExpression`
      Parameters:
        `context` - The EL context for this evaluation
        `value` - The value to set the property to which this value expression refers
      Throws:
        `NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found
        `PropertyNotWritableException` - If a property/variable resolution failed because a match was found but was not writable
        `ELException` - Wraps any exception throw whilst resolving a property or variable

    - #### getValue

          public Object getValue(ELContext context)
                          throws NullPointerException,
                                 PropertyNotFoundException,
                                 ELException

      Specified by:
        `getValue` in class `ValueExpression`
      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        The result of evaluating this value expression
      Throws:
        `NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `ELException` - Wraps any exception throw whilst resolving a property or variable

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `Expression`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Expression`

    - #### getExpressionString

          public String getExpressionString()

      Specified by:
        `getExpressionString` in class `Expression`

    - #### isLiteralText

          public boolean isLiteralText()

      Specified by:
        `isLiteralText` in class `Expression`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.